### Method

# Soup MessageHeaders set_content_type

#### Declaration [src]

    void
    soup_message_headers_set_content_type (
      SoupMessageHeaders* hdrs,
      const char* content_type,
      GHashTable* params
    )

#### Description [src]

Sets the “Content-Type” header in `hdrs` to `content_type`.

Accepts additional parameters specified in `params`.

#### Parameters

`content_type` | `const char*`
| The MIME type.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`params` | `GHashTable`
| Additional parameters.
| The argument can be `NULL`.
| The data is owned by the caller of the function.